package logic

import (
	"context"
	"git.i2edu.net/i2/i2-bill-erp/internal/svc"
	"git.i2edu.net/i2/i2-bill-erp/transform"
	"git.i2edu.net/i2/i2-bill-erp/utils"

	"git.i2edu.net/i2/go-zero/core/logx"
)

type GetErpOrganSchPerByUserIdLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewGetErpOrganSchPerByUserIdLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetErpOrganSchPerByUserIdLogic {
	return &GetErpOrganSchPerByUserIdLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// 获取erp 用户权限
func (l *GetErpOrganSchPerByUserIdLogic) GetErpOrganSchPerByUserId(in *transform.GetErpOrganSchPerByUserIdReq) (*transform.GetErpOrganSchPerByUserIdRes, error) {
	// todo: add your logic here and delete this line
	type Sch struct {
		Name    string `json:"name"`
		OrganId int64  `json:"organ_id"`
		Id      int64  `json:"id"`
	}
	schools := new([]*transform.OrganSchool)
	//sql := `
	//	SELECT
	//		sch.name,sch.organ_id,sch.id
	//	FROM
	//		base_organ_school sch
	//	INNER JOIN
	//		base_user_organ_school user_sch
	//	ON
	//		sch.id= user_sch.os_id
	//	WHERE
	//		sch.del_flag = 0
	//		and user_sch.del_flag = 0
	//	    and onoff =98
	//		and user_sch.user_id = ?
	//`
	var params = make(map[string]interface{})
	params["user_id"] = in.UserId
	res, err := utils.AllSearch(l.svcCtx.DB, "base_organ_school", "all", "base_organ_school", params)
	//err := l.svcCtx.DB.SQL(sql, in.UserId).Find(sch)
	if err != nil {
		logx.Error(err.Error())
		return nil, err
	}
	for _, s := range res {
		school := new(transform.OrganSchool)
		school.Id = s["id"].(int64)
		school.Name = s["name"].(string)
		school.OrganId = s["organ_id"].(int64)
		*schools = append(*schools, school)
	}
	return &transform.GetErpOrganSchPerByUserIdRes{School: *schools}, nil
}
