package logic

import (
	"context"
	"git.i2edu.net/i2/i2-bill-erp/utils"

	"git.i2edu.net/i2/i2-bill-erp/internal/svc"
	"git.i2edu.net/i2/i2-bill-erp/transform"

	"git.i2edu.net/i2/go-zero/core/logx"
)

type GetErpOrganSchTreeLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewGetErpOrganSchTreeLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetErpOrganSchTreeLogic {
	return &GetErpOrganSchTreeLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// 获取erp 省、城、校区
func (l *GetErpOrganSchTreeLogic) GetErpOrganSchTree(in *transform.Empty) (*transform.TreeNodes, error) {
	// todo: add your logic here and delete this line
	res, err := utils.TreeSearch(l.svcCtx.DB, "base_organ_school", "tree", "", nil)

	if err != nil {
		return nil, err
	}
	return &transform.TreeNodes{Nodes: res}, err
}
