package logic

import (
	"context"
	"database/sql"
	"time"

	"git.i2edu.net/i2/i2-bill-erp/internal/svc"
	"git.i2edu.net/i2/i2-bill-erp/model"
	"git.i2edu.net/i2/i2-bill-erp/transform"

	"git.i2edu.net/i2/go-zero/core/logx"
)

type PostExcelLogLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewPostExcelLogLogic(ctx context.Context, svcCtx *svc.ServiceContext) *PostExcelLogLogic {
	return &PostExcelLogLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *PostExcelLogLogic) PostExcelLog(in *transform.ExcelLogReq) (*transform.ExcelLogRes, error) {
	eel := model.ExcelExportLog{}
	eel.Cond = in.Cond
	eel.CreateBy = sql.NullString{String: in.CreateBy}
	eel.CreateTime = sql.NullTime{Time: time.Now()}
	eel.DelFlag = 0
	eel.LastUpdateBy = sql.NullString{String: in.LastUpdateBy}
	eel.LastUpdateTime = sql.NullTime{Time: time.Now()}
	eel.Module = sql.NullString{String: in.Module}
	_, err := l.svcCtx.ExcelExportLog.Insert(eel)
	if err != nil {
		return &transform.ExcelLogRes{Status: 500}, nil
	}
	return &transform.ExcelLogRes{Status: 200}, nil
}
