CREATE TABLE `student` (
  `stu_link_person` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '联系人1',
  `age` int DEFAULT NULL COMMENT '年龄',
  `stu_address` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '家庭住址',
  `stu_remark` varchar(300) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `recommend_stu` int DEFAULT NULL COMMENT '推荐学生ID',
  `id` bigint NOT NULL,
  `stu_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '学员姓名',
  `stu_phone` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '联系人1电话',
  `create_time` datetime DEFAULT NULL,
  `last_update_time` datetime DEFAULT NULL,
  `stu_type` int DEFAULT NULL COMMENT '学员类型(数据字典)',
  `ma_type` int DEFAULT NULL COMMENT '来源渠道（活动渠道数据字典）',
  `stu_sys_state` int DEFAULT NULL COMMENT '学员系统状态（数据字典）',
  `stu_en_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '学员英文',
  `stu_bir` datetime DEFAULT NULL COMMENT '学员出生日',
  `stu_load_school` int DEFAULT NULL COMMENT '资源收集校区',
  `sch_id` int DEFAULT NULL COMMENT '资源跟进校区ID',
  `ma_type_remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '来源备注',
  `load_user` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '资源收集人',
  `create_by` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '资源录入人ID',
  `last_update_by` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `stu_sex` int DEFAULT NULL COMMENT '性别（数据字典）',
  `del_flag` int NOT NULL DEFAULT '0',
  `stu_zc_money` float DEFAULT NULL COMMENT '暂存总金额',
  `call_type` int DEFAULT NULL COMMENT '咨询类型(数据字典)',
  `stu_link_person2` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '联系人2',
  `stu_phone2` varchar(11) CHARACTER SET ucs2 COLLATE ucs2_general_ci DEFAULT NULL COMMENT '联系人2电话',
  `attend_school` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '就读学校',
  `wechatid` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '微信ID',
  `network_detail` int DEFAULT NULL COMMENT '渠道细分（NETWORK_DETAIL表）',
  `kh_type` int DEFAULT NULL COMMENT '客户类型（数据字典）',
  `timer_visit_time` datetime DEFAULT NULL COMMENT '定时回访日期',
  `stu_dj_money` float DEFAULT NULL COMMENT '定金金额',
  `relation1` int DEFAULT NULL COMMENT '联系人1关系（数据字典）',
  `relation2` int DEFAULT NULL COMMENT '联系人2关系（数据字典）',
  `tj_user` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '员工推荐人',
  `stu_jifen` float(32,0) DEFAULT NULL COMMENT '学员积分',
  `stu_level` int DEFAULT NULL,
  `stu_follow_up_monthly` int DEFAULT NULL COMMENT '新生跟进月状态（数据字典）',
  `ptuser_id` int DEFAULT NULL COMMENT '兼职人员ID',
  `plfpbz` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `user_login_state` int DEFAULT NULL,
  `stu_parent_id` int DEFAULT NULL,
  `age_group` int DEFAULT NULL COMMENT '年龄段（数据字典）',
  `stu_invalid_date` datetime DEFAULT NULL,
  `stu_wxdq_date` datetime DEFAULT NULL,
  `head_image` int DEFAULT NULL,
  `stu_wxks_date` datetime DEFAULT NULL COMMENT '无效到期日期',
  `quao_yji` int DEFAULT NULL COMMENT '渠道一级',
  `idcard` varchar(18) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '身份证号码',
  `recipient_info` int DEFAULT NULL,
  `new_visit_date` datetime DEFAULT NULL COMMENT '最近回访时间',
  `new_allot_date` datetime DEFAULT NULL,
  `new_plan_date` datetime DEFAULT NULL COMMENT '计划回访日期',
  `zzxs_date` datetime DEFAULT NULL,
  `stuschcount` float DEFAULT NULL,
  `hf_cs` float DEFAULT NULL COMMENT '回访次数',
  `pk_current_pay` int DEFAULT NULL,
  `orther_card` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '其他证件号码',
  `stu_allot_tmkdate` datetime DEFAULT NULL,
  `stu_city` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '资源收集城市',
  `stu_sale` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '销售',
  `os_name` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '资源收集校区',
  `employee_referral_area` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `employee_referral_depart` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `tmk_zxs_username` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `tmk_zxs_date` datetime DEFAULT NULL,
  `useless_remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `turn_user_type` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `stu_myd_type` varchar(300) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `stu_myd_type_mark` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `student_customer_id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '跟进客服（新增字段）',
  `stu_city_id` int DEFAULT NULL COMMENT '资源收集城市ID',
  `degree_deposit_money` float DEFAULT NULL COMMENT '学位订金',
  `is_important` int DEFAULT NULL COMMENT '是否重点(0否，1是）',
  `idcard_type` int DEFAULT NULL COMMENT '证件号类型',
  `agreement_id` int DEFAULT NULL,
  `stu_now_jc` int DEFAULT NULL,
  `parents_profession` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `tmk_city` int DEFAULT NULL,
  `remark` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL,
  `is_child_of_employee` int DEFAULT NULL,
  `crm_id` bigint DEFAULT NULL,
  `baoban_time` datetime DEFAULT NULL,
  `kaoqin_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_student_age` (`age`),
  KEY `IDX_student_agreement_id` (`agreement_id`),
  KEY `IDX_student_create_by` (`create_by`),
  KEY `IDX_student_create_time` (`create_time`),
  KEY `IDX_student_last_update_by` (`last_update_by`),
  KEY `IDX_student_network_detail` (`network_detail`),
  KEY `IDX_student_recommend_stu` (`recommend_stu`),
  KEY `IDX_student_sch_id` (`sch_id`),
  KEY `IDX_student_stu_name` (`stu_name`),
  KEY `IDX_student_stu_parent_id` (`stu_parent_id`),
  KEY `IDX_student_stu_phone` (`stu_phone`),
  KEY `IDX_student_stu_phone2` (`stu_phone2`),
  KEY `IDX_student_stu_type` (`stu_type`),
  KEY `IDX_student_student_customer_id` (`student_customer_id`),
  KEY `IDX_student_tj_user` (`tj_user`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='学员信息表';
