// Code generated by goctl. DO NOT EDIT!
// Source: transform.proto

//go:generate mockgen -destination ./transform_mock.go -package transformclient -source $GOFILE

package transformclient

import (
	"context"

	"git.i2edu.net/i2/i2-bill-erp/transform"

	"git.i2edu.net/i2/go-zero/zrpc"
)

type (
	TokenResponse                = transform.TokenResponse
	Empty                        = transform.Empty
	TreeNodes                    = transform.TreeNodes
	Tag                          = transform.Tag
	Options                      = transform.Options
	CityMkReq                    = transform.CityMkReq
	StudentReq                   = transform.StudentReq
	StudentRes                   = transform.StudentRes
	ErpMktNetWorkDetail          = transform.ErpMktNetWorkDetail
	OptionsetRes                 = transform.OptionsetRes
	SchoolIdsReq                 = transform.SchoolIdsReq
	GetErpOrganSchPerByUserIdRes = transform.GetErpOrganSchPerByUserIdRes
	BytesResp                    = transform.BytesResp
	GetErpRoleRes                = transform.GetErpRoleRes
	DataPermissionRes            = transform.DataPermissionRes
	ErpMktNetWorkDetailRes       = transform.ErpMktNetWorkDetailRes
	DataPermissionReq            = transform.DataPermissionReq
	MktRes                       = transform.MktRes
	ResponseByte                 = transform.ResponseByte
	ExcelLogRes                  = transform.ExcelLogRes
	Active                       = transform.Active
	ErpUserReq                   = transform.ErpUserReq
	UserRequest                  = transform.UserRequest
	TreeNode                     = transform.TreeNode
	OptionCode                   = transform.OptionCode
	ExcelLogReq                  = transform.ExcelLogReq
	ListOfInt                    = transform.ListOfInt
	CityIdsReq                   = transform.CityIdsReq
	BytesReq                     = transform.BytesReq
	GetErpRoleReq                = transform.GetErpRoleReq
	GetErpOrganSchPerByUserIdReq = transform.GetErpOrganSchPerByUserIdReq
	GetErpSchoolRes              = transform.GetErpSchoolRes
	GetErpActiveRes              = transform.GetErpActiveRes
	UserResponse                 = transform.UserResponse
	ErpMktNetWorkDetailReq       = transform.ErpMktNetWorkDetailReq
	SchoolIdsRes                 = transform.SchoolIdsRes
	CityMkRes                    = transform.CityMkRes
	MktReq                       = transform.MktReq
	ErpUserRes                   = transform.ErpUserRes
	TokenRequest                 = transform.TokenRequest
	OptionsetReq                 = transform.OptionsetReq
	CityIdsRes                   = transform.CityIdsRes
	OrganSchool                  = transform.OrganSchool
	GetErpActiveReq              = transform.GetErpActiveReq

	Transform interface {
		GetUser(ctx context.Context, in *UserRequest) (*UserResponse, error)
		ParseToken(ctx context.Context, in *TokenRequest) (*TokenResponse, error)
		// 获取erp 省、城市树
		GetErpCityTree(ctx context.Context, in *Empty) (*TreeNodes, error)
		AddMkt(ctx context.Context, in *MktReq) (*MktRes, error)
		// 获取erp  字典
		LoadOptionset(ctx context.Context, in *OptionsetReq) (*OptionsetRes, error)
		GetSchoolIds(ctx context.Context, in *SchoolIdsReq) (*SchoolIdsRes, error)
		GetCityIds(ctx context.Context, in *CityIdsReq) (*CityIdsRes, error)
		GetMkIds(ctx context.Context, in *CityMkReq) (*CityMkRes, error)
		PostExcelLog(ctx context.Context, in *ExcelLogReq) (*ExcelLogRes, error)
		GetErpOptionset(ctx context.Context, in *OptionCode) (*Options, error)
		GetStudent(ctx context.Context, in *StudentReq) (*StudentRes, error)
		// 获取数据权限
		GetDataPermission(ctx context.Context, in *DataPermissionReq) (*DataPermissionRes, error)
		// 获取erp 渠道细分树
		GetErpMktNetWorkDetailTree(ctx context.Context, in *Empty) (*TreeNodes, error)
		// 获取erp 渠道细分树
		GetErpMktNetWorkDetail(ctx context.Context, in *ErpMktNetWorkDetailReq) (*ErpMktNetWorkDetailRes, error)
		// 获取erp 用户校区权限
		GetErpOrganSchPerByUserId(ctx context.Context, in *GetErpOrganSchPerByUserIdReq) (*GetErpOrganSchPerByUserIdRes, error)
		// 获取 erp 用户角色
		GetErpRole(ctx context.Context, in *GetErpRoleReq) (*GetErpRoleRes, error)
		// 获取 erp 全部校区
		GetErpSchool(ctx context.Context, in *Empty) (*GetErpSchoolRes, error)
		// 获取 erp 活动
		GetErpActive(ctx context.Context, in *GetErpActiveReq) (*GetErpActiveRes, error)
		// 获取erp 省、城、校区
		GetErpOrganSchTree(ctx context.Context, in *Empty) (*TreeNodes, error)
		//  查看erp用户是否正常
		GetErpUser(ctx context.Context, in *ErpUserReq) (*ErpUserRes, error)
	}

	defaultTransform struct {
		cli zrpc.Client
	}
)

func NewTransform(cli zrpc.Client) Transform {
	return &defaultTransform{
		cli: cli,
	}
}

func (m *defaultTransform) GetUser(ctx context.Context, in *UserRequest) (*UserResponse, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.GetUser(ctx, in)
}

func (m *defaultTransform) ParseToken(ctx context.Context, in *TokenRequest) (*TokenResponse, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.ParseToken(ctx, in)
}

// 获取erp 省、城市树
func (m *defaultTransform) GetErpCityTree(ctx context.Context, in *Empty) (*TreeNodes, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.GetErpCityTree(ctx, in)
}

func (m *defaultTransform) AddMkt(ctx context.Context, in *MktReq) (*MktRes, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.AddMkt(ctx, in)
}

// 获取erp  字典
func (m *defaultTransform) LoadOptionset(ctx context.Context, in *OptionsetReq) (*OptionsetRes, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.LoadOptionset(ctx, in)
}

func (m *defaultTransform) GetSchoolIds(ctx context.Context, in *SchoolIdsReq) (*SchoolIdsRes, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.GetSchoolIds(ctx, in)
}

func (m *defaultTransform) GetCityIds(ctx context.Context, in *CityIdsReq) (*CityIdsRes, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.GetCityIds(ctx, in)
}

func (m *defaultTransform) GetMkIds(ctx context.Context, in *CityMkReq) (*CityMkRes, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.GetMkIds(ctx, in)
}

func (m *defaultTransform) PostExcelLog(ctx context.Context, in *ExcelLogReq) (*ExcelLogRes, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.PostExcelLog(ctx, in)
}

func (m *defaultTransform) GetErpOptionset(ctx context.Context, in *OptionCode) (*Options, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.GetErpOptionset(ctx, in)
}

func (m *defaultTransform) GetStudent(ctx context.Context, in *StudentReq) (*StudentRes, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.GetStudent(ctx, in)
}

// 获取数据权限
func (m *defaultTransform) GetDataPermission(ctx context.Context, in *DataPermissionReq) (*DataPermissionRes, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.GetDataPermission(ctx, in)
}

// 获取erp 渠道细分树
func (m *defaultTransform) GetErpMktNetWorkDetailTree(ctx context.Context, in *Empty) (*TreeNodes, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.GetErpMktNetWorkDetailTree(ctx, in)
}

// 获取erp 渠道细分树
func (m *defaultTransform) GetErpMktNetWorkDetail(ctx context.Context, in *ErpMktNetWorkDetailReq) (*ErpMktNetWorkDetailRes, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.GetErpMktNetWorkDetail(ctx, in)
}

// 获取erp 用户校区权限
func (m *defaultTransform) GetErpOrganSchPerByUserId(ctx context.Context, in *GetErpOrganSchPerByUserIdReq) (*GetErpOrganSchPerByUserIdRes, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.GetErpOrganSchPerByUserId(ctx, in)
}

// 获取 erp 用户角色
func (m *defaultTransform) GetErpRole(ctx context.Context, in *GetErpRoleReq) (*GetErpRoleRes, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.GetErpRole(ctx, in)
}

// 获取 erp 全部校区
func (m *defaultTransform) GetErpSchool(ctx context.Context, in *Empty) (*GetErpSchoolRes, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.GetErpSchool(ctx, in)
}

// 获取 erp 活动
func (m *defaultTransform) GetErpActive(ctx context.Context, in *GetErpActiveReq) (*GetErpActiveRes, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.GetErpActive(ctx, in)
}

// 获取erp 省、城、校区
func (m *defaultTransform) GetErpOrganSchTree(ctx context.Context, in *Empty) (*TreeNodes, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.GetErpOrganSchTree(ctx, in)
}

// 查看erp用户是否正常
func (m *defaultTransform) GetErpUser(ctx context.Context, in *ErpUserReq) (*ErpUserRes, error) {
	client := transform.NewTransformClient(m.cli.Conn())
	return client.GetErpUser(ctx, in)
}
